/*
 * QtToolBar.hpp
 *
 *  Created on: Apr 26, 2012
 *      Author: ankele
 */

#ifndef QTTOOLBAR_HPP_
#define QTTOOLBAR_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <Qt/qaction.h>
#include <QtGui/QToolBar>

#include "Menu/Qt4/QtMenuPipe.hpp"


class QtToolBar : public QToolBar
{
  Q_OBJECT
public:
  QtToolBar(QWidget * _parent=0);
  virtual ~QtToolBar();

private:
  std::list<QtMenuPipe*> plumbing;

  void addActionItem(const std::string &token, const std::string &description, const std::string &icon_name);

};


#endif /* QTTOOLBAR_HPP_ */
